Loading...
Searching...
No Matches
gtsam::BinaryMeasurement< T > Class Template Reference
Inheritance diagram for gtsam::BinaryMeasurement< T >:

## Public Member Functions

| BinaryMeasurement (Key key1, Key key2, const T &measured, const SharedNoiseModel &model=nullptr)
virtual | ~BinaryMeasurement ()
| Destructor.
Standard Interface
Key | key1 () const
Key | key2 () const
const T & | measured () const
const SharedNoiseModel & | noiseModel () const
Testable
void | print (const std::string &s, const KeyFormatter &keyFormatter=DefaultKeyFormatter) const override
| print
bool | equals (const BinaryMeasurement &expected, double tol=1e-9) const
Public Member Functions inherited from gtsam::Factor
virtual | ~Factor ()=default
| Default destructor.
bool | empty () const
| Whether the factor is empty (involves zero variables).
Key | front () const
| First key.
Key | back () const
| Last key.
const_iterator | find (Key key) const
| find
const KeyVector & | keys () const
| Access the factor's involved variable keys.
const_iterator | begin () const
| Iterator at beginning of involved variable keys.
const_iterator | end () const
| Iterator at end of involved variable keys.
virtual double | error (const HybridValues &c) const
| All factor types need to implement an error function.
size_t | size () const
virtual void | printKeys (const std::string &s="Factor", const KeyFormatter &formatter=DefaultKeyFormatter) const
| print only keys
bool | equals (const This &other, double tol=1e-9) const
| check equality
KeyVector & | keys ()
iterator | begin ()
| Iterator at beginning of involved variable keys.
iterator | end ()
| Iterator at end of involved variable keys.

## Public Types

using | shared_ptr = typename boost::shared_ptr<BinaryMeasurement>
Public Types inherited from gtsam::Factor
typedef KeyVector::iterator | iterator
| Iterator over keys.
typedef KeyVector::const_iterator | const_iterator
| Const iterator over keys.

## Additional Inherited Members

| Factor ()
| Default constructor for I/O.
template<typename CONTAINER>
| Factor (const CONTAINER &keys)
| Construct factor from container of keys.
template<typename ITERATOR>
| Factor (ITERATOR first, ITERATOR last)
| Construct factor from iterator keys.
template<typename CONTAINER>
static Factor | FromKeys (const CONTAINER &keys)
| Construct factor from container of keys.
template<typename ITERATOR>
static Factor | FromIterators (ITERATOR first, ITERATOR last)
| Construct factor from iterator keys.
Protected Attributes inherited from gtsam::Factor
KeyVector | keys_
| The keys involved in this factor.

## Member Function Documentation

## print()

template<class T>

void gtsam::BinaryMeasurement< T >::print | ( | const std::string & | s,
|  | const KeyFormatter & | formatter = DefaultKeyFormatter ) const

inline override virtual

print

Reimplemented from gtsam::Factor.

The documentation for this class was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/sfm/BinaryMeasurement.h